import request from '@/utils/request'

// 分页查询任务图片信息列表
export function pageListImages(query) {
  return request({
    url: '/task/images/pageList',
    method: 'get',
    params: query
  })
}

// 查询任务图片信息列表
export function listImages(query) {
  return request({
    url: '/task/images/list',
    method: 'get',
    params: query
  })
}

// 查询任务图片信息详细
export function getImages(id) {
  return request({
    url: '/task/images/' + id,
    method: 'get'
  })
}

// 新增任务图片信息
export function addImages(data) {
  return request({
    url: '/task/images',
    method: 'post',
    data: data
  })
}

// 修改任务图片信息
export function updateImages(data) {
  return request({
    url: '/task/images',
    method: 'put',
    data: data
  })
}

// 删除任务图片信息
export function delImages(id) {
  return request({
    url: '/task/images/' + id,
    method: 'delete'
  })
}

// 导出任务图片信息
export function exportImages(query) {
  return request({
    url: '/task/images/' + 'export',
    method: 'post',
    params: query
  })
}

// 根据图片生成任务
export function generateTasks(data) {
  return request({
    url: '/gallery/images/generateTasks',
    method: 'post',
    data: data
  })
}